Skip to content
GAMPEONCreate
New project

Who reacted to a post

GET
/v1/posts/{id}/reactions
curl --request GET \
--url 'https://api.gampeon.com/v1/posts/1/reactions?reaction=like'

Counts are complete. People only appear if their own setting (showConnections) lets you see them. Up to 100, newest first.

Not available with access tokens.

id
required
integer
>= 1

Post ID

reaction
string
Allowed values: like love haha wow sad angry

Only this reaction

Reactions

Media typeapplication/json
object
total
required

All reactions together

integer
top
required

Up to three most frequent reactions, most frequent first (for the icons)

Array<string>
Allowed values: like love haha wow sad angry
counts
required

Number per reaction, only reactions that occur

object
key
additional properties
integer
people
required
Array<object>
object
handle
required
string
displayName
required
string
avatar
required
One of:
string
reaction
required
string
Allowed values: like love haha wow sad angry

Example

{
"top": [
"like"
],
"people": [
{
"reaction": "like"
}
]
}

Error codes: token_not_allowed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback